## org.apache.batik.util.gui
Class URIChooser

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          org.apache.batik.util.gui.URIChooser

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants, ActionMap

    public class URIChooser

extends javax.swing.JDialog
implements ActionMap

This class is a dialog used to enter an URI or to choose a local file.

See Also:
  Serialized Form

Nested Class Summary
`protected class` `URIChooser.BrowseButtonAction` The action associated with the 'browse' button
`protected class` `URIChooser.CancelButtonAction` The action associated with the 'Cancel' button of the URI chooser
`protected class` `URIChooser.ClearButtonAction` The action associated with the 'Clear' button of the URI chooser
`protected class` `URIChooser.DocumentAdapter` To listen to the document changes
`protected class` `URIChooser.OKButtonAction` The action associated with the 'OK' button of the URI chooser

Nested classes/interfaces inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected static java.util.ResourceBundle` `bundle` The resource bundle
`protected ButtonFactory` `buttonFactory` The button factory
`static int` `CANCEL_OPTION` The return value if 'Cancel' is chosen.
`protected java.lang.String` `chosenPath` The last chosen path.
`protected javax.swing.JButton` `clearButton` The Clear button
`protected java.lang.String` `currentPath` The current path.
`protected javax.swing.filechooser.FileFilter` `fileFilter` The file filter.
`protected java.util.Map` `listeners` The map that contains the listeners
`static int` `OK_OPTION` The return value if 'OK' is chosen.
`protected javax.swing.JButton` `okButton` The OK button
`protected static ResourceManager` `resources` The resource manager
`protected static java.lang.String` `RESOURCES` The resource file name
`protected int` `returnCode` The last return code.
`protected javax.swing.JTextField` `textField` The text field

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`URIChooser(javax.swing.JDialog d)` Creates a new URIChooser.
`URIChooser(javax.swing.JFrame f)` Creates a new URIChooser.

Method Summary
`protected javax.swing.JPanel` `createButtonsPanel()` Creates the buttons panel
`protected javax.swing.JPanel` `createURISelectionPanel()` Creates the URI selection panel
`javax.swing.Action` `getAction(java.lang.String key)` Returns the action associated with the given string or null on error
`java.lang.String` `getText()` Returns the text entered by the user.
`protected void` `initialize()` Initializes the dialog
`void` `setFileFilter(javax.swing.filechooser.FileFilter ff)` Sets the file filter to use with the file selector.
`int` `showDialog()` Shows the dialog.
`protected void` `updateClearButtonAction()` To update the state of the Clear button
`protected void` `updateOKButtonAction()` To update the state of the OK button

Methods inherited from class javax.swing.JDialog

`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OK_OPTION

    public static final int OK_OPTION

  The return value if 'OK' is chosen.

  See Also:
    Constant Field Values

### CANCEL_OPTION

    public static final int CANCEL_OPTION

  The return value if 'Cancel' is chosen.

  See Also:
    Constant Field Values

### RESOURCES

    protected static final java.lang.String RESOURCES

  The resource file name

  See Also:
    Constant Field Values

### bundle

    protected static java.util.ResourceBundle bundle

  The resource bundle

### resources

    protected static ResourceManager resources

  The resource manager

### buttonFactory

    protected ButtonFactory buttonFactory

  The button factory

### textField

    protected javax.swing.JTextField textField

  The text field

### okButton

    protected javax.swing.JButton okButton

  The OK button

### clearButton

    protected javax.swing.JButton clearButton

  The Clear button

### currentPath

    protected java.lang.String currentPath

  The current path.

### fileFilter

    protected javax.swing.filechooser.FileFilter fileFilter

  The file filter.

### returnCode

    protected int returnCode

  The last return code.

### chosenPath

    protected java.lang.String chosenPath

  The last chosen path.

### listeners

    protected java.util.Map listeners

  The map that contains the listeners

Constructor Detail

### URIChooser

    public URIChooser(javax.swing.JDialog d)

  Creates a new URIChooser.

  Parameters:
    `d` - the parent dialog

### URIChooser

    public URIChooser(javax.swing.JFrame f)

  Creates a new URIChooser.

  Parameters:
    `f` - the parent frame

Method Detail

### showDialog

    public int showDialog()

  Shows the dialog.

  Returns:
    OK_OPTION or CANCEL_OPTION.

### getText

    public java.lang.String getText()

  Returns the text entered by the user.

### setFileFilter

    public void setFileFilter(javax.swing.filechooser.FileFilter ff)

  Sets the file filter to use with the file selector.

### initialize

    protected void initialize()

  Initializes the dialog

### createURISelectionPanel

    protected javax.swing.JPanel createURISelectionPanel()

  Creates the URI selection panel

### createButtonsPanel

    protected javax.swing.JPanel createButtonsPanel()

  Creates the buttons panel

### updateOKButtonAction

    protected void updateOKButtonAction()

  To update the state of the OK button

### updateClearButtonAction

    protected void updateClearButtonAction()

  To update the state of the Clear button

### getAction

    public javax.swing.Action getAction(java.lang.String key)
                                 throws MissingListenerException

  Returns the action associated with the given string or null on error

  Specified by:
    `getAction` in interface `ActionMap`
  Parameters:
    `key` - the key mapped with the action to get
  Throws:
    `MissingListenerException` - if the action is not found

Copyright © 2008 Apache Software Foundation. All Rights Reserved.